// Copyright Epic Games, Inc. All Rights Reserved.

using UnrealBuildTool;

public class PeelVCam : ModuleRules
{
	public PeelVCam(ReadOnlyTargetRules Target) : base(Target)
	{
		PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;
		
		PublicIncludePaths.AddRange(
			new string[] {
				// ... add public include paths required here ...
			}
			);
				
		
		PrivateIncludePaths.AddRange(
			new string[] {
				// ... add other private include paths required here ...
			}
			);
			
		
		PublicDependencyModuleNames.AddRange(
			new string[]
			{
				"Core",
				// ... add other public dependencies that you statically link with here ...
			}
			);
			
		
		PrivateDependencyModuleNames.AddRange(
			new string[]
			{
				"CoreUObject",
				"Projects",
				"InputCore",
				"EditorFramework",
				"UnrealEd",
				"ToolMenus",
				"Engine",
				"Slate",
				"SlateCore",
				"Networking",
                "Sockets",
                "Projects",
                "Json",
				"Core",
                "CinematicCamera",
				"LevelSequence",
				"MovieScene",
				"VirtualCamera",
				"MovieSceneTracks",
				"LevelSequenceEditor",
				"SequencerScripting",
				"TakeRecorder",
				"Blutility",
				"EditorScriptingUtilities",
				"Blutility",
				"UMGEditor",
				"LiveLink"
				// ... add private dependencies that you statically link with here ...	
			}
			);
		
		
		DynamicallyLoadedModuleNames.AddRange(
			new string[]
			{
				// ... add any modules that your module loads dynamically here ...
			}
			);
	}
}
