// Copyright Epic Games, Inc. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "Framework/Commands/Commands.h"
#include "PeelVCamStyle.h"

class FPeelVCamCommands : public TCommands<FPeelVCamCommands>
{
public:

	FPeelVCamCommands()
		: TCommands<FPeelVCamCommands>(TEXT("PeelVCam"), NSLOCTEXT("Contexts", "PeelVCam", "PeelVCam Plugin"), NAME_None, FPeelVCamStyle::GetStyleSetName())
	{
	}

	// TCommands<> interface
	virtual void RegisterCommands() override;

public:
	TSharedPtr< FUICommandInfo > PluginAction;
};
