#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "HAL/Runnable.h"
#include "Sockets.h"

class UPeelWireless;

//#include "PeelWirelessThread.generated.h"


class PEELVCAM_API UPeelWirelessThread : public FRunnable
{
public:
	UPeelWirelessThread();
	virtual ~UPeelWirelessThread() override;

	void Start(int);
	bool Init() override;
	uint32 Run() override;
	void Stop() override;

	FRunnableThread* Thread;
	FThreadSafeBool bRunThread;

	FSocket* mSocket;

	int mPort;
	FVector mOffset;
	float mLens;
	float mFocus;

	TArray< UPeelWireless* > refs;
	
};
